Skip to main content
POST
/
quantlib
/
regulatory
/
stress
/
capital-projection
curl --request POST \ --url https://api.fincept.in/quantlib/regulatory/stress/capital-projection \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "initial_capital": 85000000, "initial_rwa": 950000000, "earnings": [ 8000000, 7000000, 6000000, 5000000, 6000000, 7000000, 8000000, 9000000 ], "losses": [ 12000000, 15000000, 18000000, 20000000, 15000000, 10000000, 8000000, 5000000 ], "rwa_changes": [ 20000000, 25000000, 30000000, 15000000, 0, -10000000, -15000000, -20000000 ] } '
{ "success": true, "data": { "capital_ratios": [ 0.08947368421052632, 0.08157894736842106, 0.07346938775510203, 0.06632653061224489, 0.05773195876288659, 0.05591397849462366, 0.05454545454545454, 0.05357142857142857, 0.05357142857142857 ], "minimum_ratio": 0.05357142857142857, "passes_stress": true, "n_quarters": 8 } }

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key at https://api.fincept.in/auth/register

Body

application/json
initial_capital
number
required

Starting CET1 capital at beginning of stress period

Example:

85000000

initial_rwa
number
required

Starting risk-weighted assets at beginning of stress period

Example:

950000000

earnings
number[]
required

Projected quarterly earnings (pre-provision net revenue) for each quarter of stress scenario

Example:
[
  8000000,
  7000000,
  6000000,
  5000000,
  6000000,
  7000000,
  8000000,
  9000000
]
losses
number[]
required

Projected quarterly credit/market losses (provisions, write-downs) for each quarter

Example:
[
  12000000,
  15000000,
  18000000,
  20000000,
  15000000,
  10000000,
  8000000,
  5000000
]
rwa_changes
number[]
required

Quarterly changes in RWA (can be negative if assets decrease or credit quality improves)

Example:
[
  20000000,
  25000000,
  30000000,
  15000000,
  0,
  -10000000,
  -15000000,
  -20000000
]

Response

Capital projection completed successfully

success
boolean
Example:

true

data
object